import { OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { FlowInfo, OAuthFlow, OAuthToken, ScopesInfo, SecuritySchemeItem } from '../../models/openapi-viewer.model';
import { FormArray, FormControl, FormGroup } from '@angular/forms';
import { OpenapiAuthService } from '../../services/openapi-auth.service';
export declare class AuthCredentialsComponent implements OnInit, OnChanges, OnDestroy {
    private authService;
    displayMode: 'unknown' | 'apiKey' | 'usernamePassword' | 'oauth';
    username: FormControl;
    password: FormControl;
    apiKey: FormControl;
    clientId: FormControl;
    clientSecret: FormControl;
    scopes: FormArray;
    flow: FormControl;
    remember: FormControl;
    scopesInfo: ScopesInfo[];
    loading: boolean;
    error: any;
    token: OAuthToken;
    /**
     * The available flows
     */
    flows: FlowInfo[];
    currentFlow: FlowInfo;
    formGroup: FormGroup;
    securityScheme: SecuritySchemeItem;
    private sub;
    constructor(authService: OpenapiAuthService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    checkScheme(): void;
    readApiKey(): void;
    readHttpCredentials(): void;
    readOAuthCredentials(flow?: OAuthFlow): void;
    save(): void;
    removeToken(): void;
}
