import { ChangeDetectorRef, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { OpenapiViewerService } from '../services/openapi-viewer.service';
import { FormControl, FormGroup } from '@angular/forms';
import { OperationObject } from 'openapi3-ts';
import { AuthStatus, OavRequest, OperationsItem, PathItem } from '../models/openapi-viewer.model';
import { OavSettings } from '../models/openapi-viewer.settings';
import { OpenapiAuthService } from '../services/openapi-auth.service';
export declare class OperationComponent implements OnChanges, OnDestroy {
    private openApiService;
    private oavSettings;
    private authService;
    private cd;
    tag: string;
    pathItem: PathItem;
    operationItem: OperationsItem;
    responseType: FormControl;
    formGroup: FormGroup;
    requests: OavRequest[];
    openRequest: any;
    showRawOperationDefinition: boolean;
    showAuthentication: boolean;
    authStatus: AuthStatus;
    constructor(openApiService: OpenapiViewerService, oavSettings: OavSettings, authService: OpenapiAuthService, cd: ChangeDetectorRef);
    readonly operation: OperationObject;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    send(): void;
}
