import { OpenAPIObject, PathItemObject } from 'openapi3-ts';
import { HttpClient } from '@angular/common/http';
import { OavRequest, OperationsItem, PathItem, SwaggerRequest, TagIndex } from '../models/openapi-viewer.model';
import { BehaviorSubject } from 'rxjs';
import { OpenapiAuthService } from './openapi-auth.service';
export declare class OpenapiViewerService {
    private http;
    private authService;
    readonly spec: BehaviorSubject<OpenAPIObject>;
    readonly tagIndex: BehaviorSubject<TagIndex[]>;
    readonly loadErrors: BehaviorSubject<any[]>;
    private operationParameterCache;
    private requests;
    private loadingPromise;
    constructor(http: HttpClient, authService: OpenapiAuthService);
    loadSpec(spec: OpenAPIObject): Promise<OpenAPIObject>;
    loadSpecByUrl(url: string): Promise<OpenAPIObject>;
    private resolveSpec;
    createRequest(operationId: string, parameters: Record<string, any>, requestBody: any, requestContentType: string, responseContentType: string): SwaggerRequest;
    runRequest(pathItem: PathItem, operationsItem: OperationsItem, request: SwaggerRequest): OavRequest;
    removeRequest(req: OavRequest): void;
    getRequestsByOperationId(opId: string): OavRequest[];
    saveOperationParameters(opId: string, parameters: any): void;
    loadOperationParameters(opId: string): any;
    resetSpec(): void;
}
export declare function getTagsOfPath(pathObject: PathItemObject): string[];
